Bug 121340 - The steps in Wizards use different header formats
Summary: The steps in Wizards use different header formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-10 21:23 UTC by Sabri Unal
Modified: 2018-11-29 09:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot of 5 wizards (248.02 KB, image/png)
2018-11-10 21:23 UTC, Sabri Unal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sabri Unal 2018-11-10 21:23:32 UTC
Created attachment 146531 [details]
screenshot of 5 wizards

Hi,

I have checked 5 different wizards and it appears that they have different title formats for their steps.

"Chart Wizard" uses "Title Case" format.
"Letter Wizard" and "Agenda Wizard" use "Simple capital" title format.
"Fax Wizard" and "Address Book Data Source Wizard" use mixed title format.

Do we have the standard layout for wizards?
Comment 1 Roman Kuznetsov 2018-11-11 17:06:57 UTC
I confirm it

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 0b2d153f58c83fb289c96b348631e44e553b1a9a
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2018-11-02_21:11:48
Locale: ru-RU (ru_RU); Calc: threaded

>Do we have the standard layout for wizards?

I think we don't, Heiko?
Comment 2 Heiko Tietze 2018-11-12 08:12:04 UTC
Guidelines are very welcome (so far we have these https://wiki.documentfoundation.org/Design/Guidelines). 

Titles, headings, sections etc. but also menus, treeview, listview items uses title style capitalization while ordinary labels are done in sentence style. So I would go with title style.

Also apparent from the screen shots is the missing/inconsistent title on the content area.
Comment 3 Xisco Faulí 2018-11-12 11:15:28 UTC
Fax/Letter/Agenda Wizards: https://opengrok.libreoffice.org/xref/core/wizards/com/sun/star/wizards/common/strings.hrc
Comment 4 Commit Notification 2018-11-22 15:44:11 UTC
Sabri Unal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/340ed84c84304297513225c179399f8f3fdd146a%5E%21

Related: tdf#121340: Do wizards steps Title Case

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-29 09:43:33 UTC
Sabri Unal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/00df4a5ae395607eab1f83aacfc1fb05eb93ecc9%5E%21

Related: tdf#121340: Do wizards steps Title Case

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.